Subject: [netmod] Re: Genart ietf last call review of draft-ietf-netmod-rfc8407bis-24
From: [email-masked]
To: Christer Holmberg <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Fri, 25 Apr 2025 05:44:49 +0000
List-Id: NETMOD WG list <netmod.ietf.org>

Hi Christer,

Thanks for the review. Will be ACKed in the next iteration.

Please see inline.

Cheers
Med

> -----Message d'origine-----
> De : Christer Holmberg via Datatracker <[email-masked]>
> Envoyé : jeudi 24 avril 2025 17:37
> À : [email-masked]
> Cc : [email-masked]; [email-masked];
> [email-masked]
> Objet : Genart ietf last call review of draft-ietf-netmod-
> rfc8407bis-24
> 
> 
> Document: draft-ietf-netmod-rfc8407bis
> Title: Guidelines for Authors and Reviewers of Documents Containing
> YANG Data Models Reviewer: Christer Holmberg Review result: Ready
> with Nits
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed by
> the IESG for the IETF Chair.  Please treat these comments just like
> any other last call comments.
> 
> 
> Document: draft-ietf-netmod-rfc8407bis-24
> Reviewer: Christer Holmberg
> Review Date: 2025-04-24
> IETF LC End Date: 2025-05-05
> IESG Telechat date: Not scheduled for a telechat
> 
> Summary: The document is well written, and easy to read. However, I
> do have a question regarding the normative terminology that I would
> like the authors to address.
> 
> Major issues: N/A
> 
> Minor issues: N/A
> 
> Nits/editorial comments:
> 
> The document contains lots (especially for a BCP) of
> MUST/SHOULD/MAY/MOST NOT etc.
> 
> First, it is unclear whether the MUST/SHOULD/... is defined by this
> document, or whether it comes from the YANG specification.

[Med] Overall, YANG 1.0 modules have to conform to RFC 6020, YANG 1.1 modules have to conform to RFC 7950. This document adds usage guidelines in addition to the YANG RFCs.

> 
> Second, it is unclear what the criteria for MUST vs SHOULD is. Does
> it e.g., mean that a YANG validator will return an error is a MUST
> is not followed?
> 

[Med] MUST vs. SHOULD is decided by WG consensus. That same approach was followed in previous iterations of this work: RFC6087/RFC8407. Some very few normative levels are changed based on the experience: upgrade a SHOULD to MUST as in Section 3.2, for example.
  
We don't specify whether a validator should emit warnings or errors. However, we encourage the use of tools that check compliance with the guidance, e.g., 

   If the 'pyang' compiler is used to validate a normative module, then
   the "--ietf" command-line option MUST be used to identify any IETF
   guideline issues.
____________________________________________________________________________________________________________
Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.